Bug 1310555 - docker compute resource pre-fills and overrides username when empty value is stored
docker compute resource pre-fills and overrides username when empty value is ...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management (Show other bugs)
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Daniel Lobato Garcia
Katello QA List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2016-02-22 03:40 EST by Pavel Moravec
Modified: 2017-08-04 09:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-04 09:19:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavel Moravec 2016-02-22 03:40:38 EST
Description of problem:
When editing a docker compute resource, if it has emtpy credentials (username/password), WebUI automatically - everytime - fills admin/****** there.

Please get rid of the automatic pre-filling of credentials when editing a docker compute resource. It tries to override what is really stored, confuses a user and attempts to store data a user does not want.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a docker compute resource with empty credentials. Test connection it is OK.
2. Edit the docker compute resource.
3. Test Connection.
4. Save it.

Actual results:
2. shows admin/****** credentials, despite _emtpy_ were inserted.
3. Test fails with Docker::Error::AuthenticationError - despite it was working before.
4. The username is really saved (you can check this by running:

su - postgres -c "psql foreman -c \"select * from compute_resources;\""

before and after the save)

Expected results:
2. to show whatever I stored, not overriding anything
3. test connection to pass
4. not storing the username

Additional info:
Comment 2 Pavel Moravec 2016-02-22 03:53:57 EST
Yet another scenario:

5. when editing the compute resource, remove "admin" from the username and click to Test connection.
6. check "admin" has been filled there again 

That means, a user clicking to Test connection (that passes) and then to Submit, "admin" username is stored instead of empty one. Such confusing.
Comment 3 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Bryan Kearney 2016-07-26 11:35:31 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Bryan Kearney 2017-08-04 09:19:08 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.